clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
StaticAssertCheck.h File Reference
`#include "../ClangTidy.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <string>`
Include dependency graph for StaticAssertCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::StaticAssertCheck
| Replaces `assert()` with `static_assert()` if the condition is evaluatable at compile time. More...

## Namespaces
| clang
| clang::tidy